Name:          dnf-plugins-core
Version:       4.0.10
Release:       2mamba
Summary:       Core DNF Plugins
Group:         System/Management
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/rpm-software-management/dnf-plugins-core
## GITSOURCE https://github.com/rpm-software-management/dnf-plugins-core.git 4.0.2.1
Source:        https://github.com/rpm-software-management/dnf-plugins-core.git/%{version}/dnf-plugins-core-%{version}.tar.bz2
Patch0:        dnf-plugins-core-4.0.10-conf-openmamba.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
Requires:      dnf
Provides:      yum-utils
Obsoletes:     yum-utils
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Core DNF Plugins.

%prep
%setup -q
%patch0 -p1

%build
%cmake -d build
%make
%make doc

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%find_lang %{name} || touch %{name}.lang

install -d -m0755 %{buildroot}/var/lib/dnf/plugins/local

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}.lang
%defattr(-,root,root)
%dir %{_sysconfdir}/dnf/protected.d
%dir %{_sysconfdir}/dnf/plugins
%dir %{_sysconfdir}/dnf/plugins/copr.d
%config %{_sysconfdir}/dnf/plugins/copr.conf
%config(noreplace) %{_sysconfdir}/dnf/plugins/debuginfo-install.conf
%config %{_sysconfdir}/dnf/plugins/local.conf
%config(noreplace) %{_sysconfdir}/dnf/plugins/versionlock.conf
%config(noreplace) %{_sysconfdir}/dnf/plugins/versionlock.list
%dir %{python27_sitelib}/dnf-plugins
%{python27_sitelib}/dnf-plugins/*
%dir %{python27_sitelib}/dnfpluginscore
%{python27_sitelib}/dnfpluginscore/*
%{_prefix}/libexec/dnf-utils-2
%{_mandir}/man1/debuginfo-install.1*
%{_mandir}/man1/dnf-utils.1*
%{_mandir}/man1/needs-restarting.1*
%{_mandir}/man1/package-cleanup.1*
%{_mandir}/man1/repo-graph.1*
%{_mandir}/man1/repoclosure.1*
%{_mandir}/man1/repodiff.1*
%{_mandir}/man1/repomanage.1*
%{_mandir}/man1/reposync.1*
%{_mandir}/man1/yum-*.1*
%{_mandir}/man1/yumdownloader.1*
%{_mandir}/man5/yum-versionlock.conf.5*
%{_mandir}/man8/dnf.plugin.*.8*
%{_mandir}/man8/yum-copr.8*
%{_mandir}/man8/yum-versionlock.8*
%dir /var/lib/dnf/plugins/local
%doc AUTHORS COPYING

%changelog
* Sun Nov 03 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 4.0.10-2mamba
- update configuration patch to cmpletely disable local repository and copr by default

* Fri Oct 25 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 4.0.10-1mamba
- update to 4.0.10

* Thu Oct 24 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 4.0.2.1-1mamba
- package created using the webbuild interface
